Skip to navigation

List prefetch audit records

View as Markdown

List audit records for prefetch operations by processor ID with filtering and cursor-based pagination.

Authentication

AuthorizationBearer

Use Bearer {{token}} in the Authorization header for authentication.

Path parameters

meterIdlongRequired
The ID of the meter.

Headers

Accept-EncodingstringOptional

Include the Accept-Encoding: gzip header to compress responses as a gzipped file. It can significantly reduce the bandwidth required for a response.

If specified, Zuora automatically compresses responses that contain over 1000 bytes of data, and the response contains a Content-Encoding header with the compression algorithm so that your client can decompress it.

Content-EncodingstringOptional

Include the Content-Encoding: gzip header to compress a request. With this header specified, you should upload a gzipped file for the request payload instead of sending the JSON payload.

Zuora-Entity-IdsstringOptional

An entity ID. If you have Zuora Multi-entity enabled and the OAuth token is valid for more than one entity, you must use this header to specify which entity to perform the operation in. If the OAuth token is only valid for a single entity, or you do not have Zuora Multi-entity enabled, you should not set this header.

Zuora-Org-IdsstringOptional

Comma separated IDs. If you have Zuora Multi-Org enabled, you can use this header to specify which orgs to perform the operation in. If you do not have Zuora Multi-Org enabled, you should not set this header.

The IDs must be a sub-set of the user’s accessible orgs. If you specify an org that the user does not have access to, the operation fails. This header is important in Multi-Org (MO) setups because it defines the organization context under which the API should operate—mainly used for read access or data visibility filtering. If the header is not set, the operation is performed in scope of the user’s accessible orgs.

Zuora-Track-IdstringOptional<=64 characters

A custom identifier for tracing the API call. If you set a value for this header, Zuora returns the same value in the response headers. This header enables you to associate your system process identifiers with Zuora API calls, to assist with troubleshooting in the event of an issue.

The value of this field must use the US-ASCII character set and must not include any of the following characters: colon (:), semicolon (;), double quote ("), and quote (').

Query parameters

operatorIdstringRequired
Unique identifier for the processor.
startDatestringOptionalformat: "^\d{4}-\d{2}-\d{2}$"

Start date for filtering audit records (inclusive) in YYYY-MM-DD format. If not provided, defaults to 7 days before today (UTC).

endDatestringOptionalformat: "^\d{4}-\d{2}-\d{2}$"

End date for filtering audit records (inclusive) in YYYY-MM-DD format. If not provided, defaults to today (UTC).

triggerTypeenumOptional
Filter by trigger type.
Allowed values:
statuslist of enumsOptional
Filter by job status. Repeat this parameter to specify multiple values.
Allowed values:
pageSizeintegerOptional1-100Defaults to 20
Number of records to return per page.
cursorstringOptional

Cursor for pagination (obtained from nextPage or previousPage in the response).

Response

OK
successbooleanOptional
Indicates whether the request was successful.
datalist of objectsOptional
List of prefetch audit records for the specified processor.
previousPagestringOptional
Cursor or URL for the previous page of audit records, if available. Used for backward pagination.
nextPagestringOptional
Cursor or URL for the next page of audit records, if available. Used for forward pagination.
errorobjectOptional
Container for error information returned by the API when the request fails.

Errors

400
Bad Request Error
500
Internal Server Error